Name:        source-code-pro-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/SourceCodePro.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 SauceCodeProNerdFont-Black.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Black.ttf
install -Dm644 SauceCodeProNerdFont-BlackItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-BlackItalic.ttf
install -Dm644 SauceCodeProNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Bold.ttf
install -Dm644 SauceCodeProNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-BoldItalic.ttf
install -Dm644 SauceCodeProNerdFont-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-ExtraLight.ttf
install -Dm644 SauceCodeProNerdFont-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-ExtraLightItalic.ttf
install -Dm644 SauceCodeProNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Italic.ttf
install -Dm644 SauceCodeProNerdFont-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Light.ttf
install -Dm644 SauceCodeProNerdFont-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-LightItalic.ttf
install -Dm644 SauceCodeProNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Medium.ttf
install -Dm644 SauceCodeProNerdFont-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-MediumItalic.ttf
install -Dm644 SauceCodeProNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Regular.ttf
install -Dm644 SauceCodeProNerdFont-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-SemiBold.ttf
install -Dm644 SauceCodeProNerdFont-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-SemiBoldItalic.ttf
install -Dm644 SauceCodeProNerdFontMono-Black.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Black.ttf
install -Dm644 SauceCodeProNerdFontMono-BlackItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-BlackItalic.ttf
install -Dm644 SauceCodeProNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Bold.ttf
install -Dm644 SauceCodeProNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-BoldItalic.ttf
install -Dm644 SauceCodeProNerdFontMono-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-ExtraLight.ttf
install -Dm644 SauceCodeProNerdFontMono-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-ExtraLightItalic.ttf
install -Dm644 SauceCodeProNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Italic.ttf
install -Dm644 SauceCodeProNerdFontMono-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Light.ttf
install -Dm644 SauceCodeProNerdFontMono-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-LightItalic.ttf
install -Dm644 SauceCodeProNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Medium.ttf
install -Dm644 SauceCodeProNerdFontMono-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-MediumItalic.ttf
install -Dm644 SauceCodeProNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Regular.ttf
install -Dm644 SauceCodeProNerdFontMono-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-SemiBold.ttf
install -Dm644 SauceCodeProNerdFontMono-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-SemiBoldItalic.ttf
install -Dm644 SauceCodeProNerdFontPropo-Black.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Black.ttf
install -Dm644 SauceCodeProNerdFontPropo-BlackItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-BlackItalic.ttf
install -Dm644 SauceCodeProNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Bold.ttf
install -Dm644 SauceCodeProNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-BoldItalic.ttf
install -Dm644 SauceCodeProNerdFontPropo-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-ExtraLight.ttf
install -Dm644 SauceCodeProNerdFontPropo-ExtraLightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-ExtraLightItalic.ttf
install -Dm644 SauceCodeProNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Italic.ttf
install -Dm644 SauceCodeProNerdFontPropo-Light.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Light.ttf
install -Dm644 SauceCodeProNerdFontPropo-LightItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-LightItalic.ttf
install -Dm644 SauceCodeProNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Medium.ttf
install -Dm644 SauceCodeProNerdFontPropo-MediumItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-MediumItalic.ttf
install -Dm644 SauceCodeProNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Regular.ttf
install -Dm644 SauceCodeProNerdFontPropo-SemiBold.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-SemiBold.ttf
install -Dm644 SauceCodeProNerdFontPropo-SemiBoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-SemiBoldItalic.ttf

%files

%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Black.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-BlackItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-ExtraLight.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Light.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-LightItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-MediumItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-SemiBold.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFont-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Black.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-BlackItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-ExtraLight.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Light.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-LightItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-MediumItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-SemiBold.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontMono-SemiBoldItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Black.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-BlackItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-ExtraLight.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-ExtraLightItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Light.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-LightItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-MediumItalic.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-SemiBold.ttf
%{_datadir}/fonts/%{name}/SauceCodeProNerdFontPropo-SemiBoldItalic.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
